"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLocalStorage = exports.useSessionStorage = exports.useStorage = exports.useDebugInformation = exports.useCopyToClipboard = exports.useStateWithHistory = exports.useStateWithValidation = exports.useGeolocation = exports.useTranslation = exports.useOnlineStatus = exports.useRenderCount = exports.useWindowSize = exports.useMediaQuery = exports.usePrevious = exports.useOnScreen = exports.useDarkMode = exports.useTimeout = exports.useToggle = exports.useScript = exports.useFetch = exports.useHover = exports.useAsync = exports.useArray = exports.useSize = exports.useScrollPosition = exports.useDeepCompareEffect = exports.useEventListener = exports.useScrollRestore = exports.useDocumentTitle = exports.useClickOutside = exports.useUpdateEffect = exports.useEffectOnce = exports.useLongPress = exports.useDebounce = void 0;
var tslib_1 = require("tslib");
var useSize_1 = tslib_1.__importDefault(require("./hooks/useSize"));
var useArray_1 = tslib_1.__importDefault(require("./hooks/useArray"));
var useAsync_1 = tslib_1.__importDefault(require("./hooks/useAsync"));
var useHover_1 = tslib_1.__importDefault(require("./hooks/useHover"));
var useFetch_1 = tslib_1.__importDefault(require("./hooks/useFetch"));
var useScript_1 = tslib_1.__importDefault(require("./hooks/useScript"));
var useToggle_1 = tslib_1.__importDefault(require("./hooks/useToggle"));
var useTimeout_1 = tslib_1.__importDefault(require("./hooks/useTimeout"));
var useDarkMode_1 = tslib_1.__importDefault(require("./hooks/useDarkMode"));
var useDebounce_1 = tslib_1.__importDefault(require("./hooks/useDebounce"));
exports.useDebounce = useDebounce_1.default;
var useOnScreen_1 = tslib_1.__importDefault(require("./hooks/useOnScreen"));
var usePrevious_1 = tslib_1.__importDefault(require("./hooks/usePrevious"));
var useLongPress_1 = tslib_1.__importDefault(require("./hooks/useLongPress"));
exports.useLongPress = useLongPress_1.default;
var useEffectOnce_1 = tslib_1.__importDefault(require("./hooks/useEffectOnce"));
exports.useEffectOnce = useEffectOnce_1.default;
var useMediaQuery_1 = tslib_1.__importDefault(require("./hooks/useMediaQuery"));
var useWindowSize_1 = tslib_1.__importDefault(require("./hooks/useWindowSize"));
var useGeolocation_1 = tslib_1.__importDefault(require("./hooks/useGeolocation"));
var useRenderCount_1 = tslib_1.__importDefault(require("./hooks/useRenderCount"));
var useTranslation_1 = tslib_1.__importDefault(require("./hooks/useTranslation"));
var useClickOutside_1 = tslib_1.__importDefault(require("./hooks/useClickOutside"));
exports.useClickOutside = useClickOutside_1.default;
var useOnlineStatus_1 = tslib_1.__importDefault(require("./hooks/useOnlineStatus"));
var useUpdateEffect_1 = tslib_1.__importDefault(require("./hooks/useUpdateEffect"));
exports.useUpdateEffect = useUpdateEffect_1.default;
var useDocumentTitle_1 = tslib_1.__importDefault(require("./hooks/useDocumentTitle"));
exports.useDocumentTitle = useDocumentTitle_1.default;
var useScrollRestore_1 = tslib_1.__importDefault(require("./hooks/useScrollRestore"));
exports.useScrollRestore = useScrollRestore_1.default;
var useEventListener_1 = tslib_1.__importDefault(require("./hooks/useEventListener"));
exports.useEventListener = useEventListener_1.default;
var useScrollPosition_1 = tslib_1.__importDefault(require("./hooks/useScrollPosition"));
var useCopyToClipboard_1 = tslib_1.__importDefault(require("./hooks/useCopyToClipboard"));
var useDebugInformation_1 = tslib_1.__importDefault(require("./hooks/useDebugInformation"));
var useStateWithHistory_1 = tslib_1.__importDefault(require("./hooks/useStateWithHistory"));
var useDeepCompareEffect_1 = tslib_1.__importDefault(require("./hooks/useDeepCompareEffect"));
exports.useDeepCompareEffect = useDeepCompareEffect_1.default;
var useStateWithValidation_1 = tslib_1.__importDefault(require("./hooks/useStateWithValidation"));
var useStorage_1 = tslib_1.__importStar(require("./hooks/useStorage"));
var ReactHooks = {
    useSize: useSize_1.default,
    useArray: useArray_1.default,
    useAsync: useAsync_1.default,
    useHover: useHover_1.default,
    useFetch: useFetch_1.default,
    useScript: useScript_1.default,
    useToggle: useToggle_1.default,
    useStorage: useStorage_1.default,
    useTimeout: useTimeout_1.default,
    useDarkMode: useDarkMode_1.default,
    useDebounce: useDebounce_1.default,
    useOnScreen: useOnScreen_1.default,
    usePrevious: usePrevious_1.default,
    useLongPress: useLongPress_1.default,
    useEffectOnce: useEffectOnce_1.default,
    useMediaQuery: useMediaQuery_1.default,
    useWindowSize: useWindowSize_1.default,
    useGeolocation: useGeolocation_1.default,
    useRenderCount: useRenderCount_1.default,
    useTranslation: useTranslation_1.default,
    useLocalStorage: useStorage_1.useLocalStorage,
    useOnlineStatus: useOnlineStatus_1.default,
    useUpdateEffect: useUpdateEffect_1.default,
    useClickOutside: useClickOutside_1.default,
    useDocumentTitle: useDocumentTitle_1.default,
    useScrollRestore: useScrollRestore_1.default,
    useEventListener: useEventListener_1.default,
    useScrollPosition: useScrollPosition_1.default,
    useSessionStorage: useStorage_1.useSessionStorage,
    useCopyToClipboard: useCopyToClipboard_1.default,
    useDebugInformation: useDebugInformation_1.default,
    useStateWithHistory: useStateWithHistory_1.default,
    useDeepCompareEffect: useDeepCompareEffect_1.default,
    useStateWithValidation: useStateWithValidation_1.default,
};
exports.default = ReactHooks;
var useScrollPosition_2 = require("./hooks/useScrollPosition");
Object.defineProperty(exports, "useScrollPosition", { enumerable: true, get: function () { return tslib_1.__importDefault(useScrollPosition_2).default; } });
var useSize_2 = require("./hooks/useSize");
Object.defineProperty(exports, "useSize", { enumerable: true, get: function () { return tslib_1.__importDefault(useSize_2).default; } });
var useArray_2 = require("./hooks/useArray");
Object.defineProperty(exports, "useArray", { enumerable: true, get: function () { return tslib_1.__importDefault(useArray_2).default; } });
var useAsync_2 = require("./hooks/useAsync");
Object.defineProperty(exports, "useAsync", { enumerable: true, get: function () { return tslib_1.__importDefault(useAsync_2).default; } });
var useHover_2 = require("./hooks/useHover");
Object.defineProperty(exports, "useHover", { enumerable: true, get: function () { return tslib_1.__importDefault(useHover_2).default; } });
var useFetch_2 = require("./hooks/useFetch");
Object.defineProperty(exports, "useFetch", { enumerable: true, get: function () { return tslib_1.__importDefault(useFetch_2).default; } });
var useScript_2 = require("./hooks/useScript");
Object.defineProperty(exports, "useScript", { enumerable: true, get: function () { return tslib_1.__importDefault(useScript_2).default; } });
var useToggle_2 = require("./hooks/useToggle");
Object.defineProperty(exports, "useToggle", { enumerable: true, get: function () { return tslib_1.__importDefault(useToggle_2).default; } });
var useTimeout_2 = require("./hooks/useTimeout");
Object.defineProperty(exports, "useTimeout", { enumerable: true, get: function () { return tslib_1.__importDefault(useTimeout_2).default; } });
var useDarkMode_2 = require("./hooks/useDarkMode");
Object.defineProperty(exports, "useDarkMode", { enumerable: true, get: function () { return tslib_1.__importDefault(useDarkMode_2).default; } });
var useOnScreen_2 = require("./hooks/useOnScreen");
Object.defineProperty(exports, "useOnScreen", { enumerable: true, get: function () { return tslib_1.__importDefault(useOnScreen_2).default; } });
var usePrevious_2 = require("./hooks/usePrevious");
Object.defineProperty(exports, "usePrevious", { enumerable: true, get: function () { return tslib_1.__importDefault(usePrevious_2).default; } });
var useMediaQuery_2 = require("./hooks/useMediaQuery");
Object.defineProperty(exports, "useMediaQuery", { enumerable: true, get: function () { return tslib_1.__importDefault(useMediaQuery_2).default; } });
var useWindowSize_2 = require("./hooks/useWindowSize");
Object.defineProperty(exports, "useWindowSize", { enumerable: true, get: function () { return tslib_1.__importDefault(useWindowSize_2).default; } });
var useRenderCount_2 = require("./hooks/useRenderCount");
Object.defineProperty(exports, "useRenderCount", { enumerable: true, get: function () { return tslib_1.__importDefault(useRenderCount_2).default; } });
var useOnlineStatus_2 = require("./hooks/useOnlineStatus");
Object.defineProperty(exports, "useOnlineStatus", { enumerable: true, get: function () { return tslib_1.__importDefault(useOnlineStatus_2).default; } });
var useTranslation_2 = require("./hooks/useTranslation");
Object.defineProperty(exports, "useTranslation", { enumerable: true, get: function () { return tslib_1.__importDefault(useTranslation_2).default; } });
var useGeolocation_2 = require("./hooks/useGeolocation");
Object.defineProperty(exports, "useGeolocation", { enumerable: true, get: function () { return tslib_1.__importDefault(useGeolocation_2).default; } });
var useStateWithValidation_2 = require("./hooks/useStateWithValidation");
Object.defineProperty(exports, "useStateWithValidation", { enumerable: true, get: function () { return tslib_1.__importDefault(useStateWithValidation_2).default; } });
var useStateWithHistory_2 = require("./hooks/useStateWithHistory");
Object.defineProperty(exports, "useStateWithHistory", { enumerable: true, get: function () { return tslib_1.__importDefault(useStateWithHistory_2).default; } });
var useCopyToClipboard_2 = require("./hooks/useCopyToClipboard");
Object.defineProperty(exports, "useCopyToClipboard", { enumerable: true, get: function () { return tslib_1.__importDefault(useCopyToClipboard_2).default; } });
var useDebugInformation_2 = require("./hooks/useDebugInformation");
Object.defineProperty(exports, "useDebugInformation", { enumerable: true, get: function () { return tslib_1.__importDefault(useDebugInformation_2).default; } });
var useStorage_2 = require("./hooks/useStorage");
Object.defineProperty(exports, "useStorage", { enumerable: true, get: function () { return tslib_1.__importDefault(useStorage_2).default; } });
Object.defineProperty(exports, "useSessionStorage", { enumerable: true, get: function () { return useStorage_2.useSessionStorage; } });
Object.defineProperty(exports, "useLocalStorage", { enumerable: true, get: function () { return useStorage_2.useLocalStorage; } });
