import { useEffect, useRef } from 'react';
function useDocumentTitle(titleText, joiner) {
    if (joiner === void 0) { joiner = " • "; }
    var title = useRef([]);
    useEffect(function () {
        var _a;
        title.current = ((!Array.isArray(titleText)) ? [titleText] : titleText).filter(function (t) { return !!t; });
        var baseTitle = (_a = document.head.querySelector("title")) === null || _a === void 0 ? void 0 : _a.getAttribute("base");
        baseTitle && title.current.push(baseTitle);
        document.title = title.current.join(joiner);
    }, [joiner, titleText]);
    return null;
}
export default useDocumentTitle;
