import { useEffect, useRef } from "react";
export default function useUpdateEffect(callback, dependencies) {
    if (dependencies === void 0) { dependencies = []; }
    var firstRenderRef = useRef(true);
    useEffect(function () {
        if (firstRenderRef.current) {
            firstRenderRef.current = false;
            return;
        }
        return callback();
    }, dependencies);
}
